Package commoble.morered.client

# Class TintRotatingModelLoader.TintRotatingModelBuilder

java.lang.Object
commoble.morered.client.TintRotatingModelLoader.TintRotatingModelBuilder

All Implemented Interfaces:
  `net.minecraftforge.client.model.IModelBuilder<TintRotatingModelLoader.TintRotatingModelBuilder>`

Enclosing class:
  TintRotatingModelLoader

public static class TintRotatingModelLoader.TintRotatingModelBuilder extends Object implements net.minecraftforge.client.model.IModelBuilder<TintRotatingModelLoader.TintRotatingModelBuilder>

## Nested Class Summary

## Nested classes/interfaces inherited from interface net.minecraftforge.client.model.IModelBuilder

`net.minecraftforge.client.model.IModelBuilder.Collecting, net.minecraftforge.client.model.IModelBuilder.Simple`

## Constructor Summary

Constructors
Constructor
Description
`TintRotatingModelBuilder(net.minecraftforge.client.model.IModelBuilder<?> delegate, net.minecraft.client.resources.model.ModelState modelTransform)`

## Method Summary

Modifier and Type
Method
Description
`TintRotatingModelLoader.TintRotatingModelBuilder`
`addCulledFace(net.minecraft.core.Direction facing, net.minecraft.client.renderer.block.model.BakedQuad quad)`
`TintRotatingModelLoader.TintRotatingModelBuilder`
`addUnculledFace(net.minecraft.client.renderer.block.model.BakedQuad quad)`
`net.minecraft.client.resources.model.BakedModel`
`build()`
`protected net.minecraft.client.renderer.block.model.BakedQuad`
`getTintRotatedQuad(net.minecraft.client.renderer.block.model.BakedQuad baseQuad)`
`protected int`
`rotateEdge(int baseTint)`
`protected int`
`rotateSide(int baseTint)`
`protected int`
`rotateTint(int baseTint)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TintRotatingModelBuilder

public TintRotatingModelBuilder(net.minecraftforge.client.model.IModelBuilder<?> delegate, net.minecraft.client.resources.model.ModelState modelTransform)

## Method Details

### addCulledFace

public TintRotatingModelLoader.TintRotatingModelBuilder addCulledFace(net.minecraft.core.Direction facing, net.minecraft.client.renderer.block.model.BakedQuad quad)

Specified by:
  `addCulledFace` in interface `net.minecraftforge.client.model.IModelBuilder<TintRotatingModelLoader.TintRotatingModelBuilder>`

### addUnculledFace

public TintRotatingModelLoader.TintRotatingModelBuilder addUnculledFace(net.minecraft.client.renderer.block.model.BakedQuad quad)

Specified by:
  `addUnculledFace` in interface `net.minecraftforge.client.model.IModelBuilder<TintRotatingModelLoader.TintRotatingModelBuilder>`

### build

public net.minecraft.client.resources.model.BakedModel build()

Specified by:
  `build` in interface `net.minecraftforge.client.model.IModelBuilder<TintRotatingModelLoader.TintRotatingModelBuilder>`

### getTintRotatedQuad

protected net.minecraft.client.renderer.block.model.BakedQuad getTintRotatedQuad(net.minecraft.client.renderer.block.model.BakedQuad baseQuad)

### rotateTint

protected int rotateTint(int baseTint)

### rotateSide

protected int rotateSide(int baseTint)

### rotateEdge

protected int rotateEdge(int baseTint)